<?php


class pageinclude{

    protected $_request;
    protected $_sPageFile;
    protected $_sPagesDir;

    /**
     * init
     * @return bool
     */
    public function __construct(){
        $this->_sPagesDir=__DIR__.'/../pages/';
        return true;
    }

    protected function _detectPagefile(){
        $_request=$_SERVER['REQUEST_URI'];
        $sPagefile=preg_replace('/\?.*$/', '', $_request);
        if($sPagefile=="/"){
            $sPagefile="/index";
        }
        return $sPagefile.=".php";
    }
    
    /**
     * set another base dir for pages
     * @param  string  $sDir  path of the new pages dir
     * @return bool
     */
    public function setPagedir($sDir){
        if(is_dir($sDir)){
            $this->_sPagesDir=$sDir;
            return true;
        }
        return false;
    }

    public function getPage(){
        $this->_sPageFile=$this->_detectPagefile();
        ob_start();
        // echo "$this->_sPagesDir.$this->_sPageFile<br>";
        if (!@include($this->_sPagesDir.$this->_sPageFile)) {
            echo "$this->_sPagesDir.$this->_sPageFile<br>";
            @include($this->_sPagesDir."error_404.php");
        }
        $sPhpOut = ob_get_contents();
        ob_end_clean();
        return $sPhpOut;
    }
}